.d-none {
  display: none;
}

.pointer {
  cursor: pointer;
}

.fw-900 {
  font-weight: 900;
}

.header {
  background-color: #25c16a;
  padding: 1rem;
  color: #ffffff;
}

.header-logo {
  max-width: 150px;
  fill: #ffffff;
}

.carousel-item-product-container {
  padding: 20px 40px;
  width: 100%;
}

/* Tooltip container */
.carousel-item-product {
  border: 1px solid #000;
  /* height: 360px; */
  width: 300px;
  padding: 0 8px;
  position: relative;
  box-shadow: 2px 0 10px 1px #888888;
}

/* Tooltip text */
.carousel-item-product .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: #065f71;
  color: #e4b064;
  padding: 5px 15px;
  line-height: 1;
  border-radius: 6px;

  /* Position the tooltip text */
  position: absolute;
  z-index: 1;
  top: 10%;
  right: -30%;

  /* Fade in tooltip */
  opacity: 0;
  transition: opacity 0.3s;
}

.carousel-item-product .tooltiptext > *:nth-child(2) {
  color: #ffffff;
}

/* Tooltip arrow */
.carousel-item-product .tooltiptext::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 100%;
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent #555 transparent transparent;
}

/* Show the tooltip text when you mouse over the tooltip container */
.carousel-item-product:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

.carousel-item-product-img img {
  width: 200px;
  height: 200px;
  object-fit: contain;
}

.carousel-item-product > *:nth-child(4) {
  font-weight: 900;
}

.carousel-item-product > *:nth-child(5) > *:nth-child(1) {
  font-weight: 900;
  font-size: 28px;
}

.carousel-item-product > *:nth-child(5) > *:nth-child(1) > *:nth-child(1) {
  color: #64d295;
}

.text-green {
  color: #64d295;
}

.bg-green {
  background-color: #269e7e;
  padding: 2px 15px;
  border-radius: 15px;
  color: #ffffff;
}

.carousel-item-product-add {
  background-color: #25c16a;
  width: 300px;
  text-align: center;
  padding: 10px;
  color: #fff;
  font-weight: 900;
  visibility: hidden;
}

.carousel-item-product-add-container {
  width: 300px;
}

.carousel-item-product:hover ~ .carousel-item-product-add-container > *,
.carousel-item-product-add-container:hover > * {
  visibility: visible;
}

.cart {
  position: fixed;
  z-index: 2000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
}

.cart-content {
  background-color: #fefefe;
  padding: 20px;
  border: 1px solid #888;
  width: 75%;
  height: 100%;
  margin-left: 25%;
  overflow-y: scroll;
}

.cart-title {
  font-weight: 900;
  margin: 10px 0;
}

.cart-title > *:nth-child(1) {
  font-size: 38px;
}

.cart-items > * {
  display: flex;
  flex-wrap: wrap;
}

.cart-items > * > *:nth-child(1) {
  width: 40%;
}
.cart-items > * > *:nth-child(2) {
  text-align: center;
  width: 25%;
}
.cart-items > * > *:nth-child(3) {
  text-align: center;
  width: 25%;
}
.cart-items > * > *:nth-child(4) {
  text-align: center;
  width: 10%;
}
